{% extends "infra/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Equipos de Nodo{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
    <li class="breadcrumb-item"><a href="{% url 'node-detail' pk=object.pk %}">ID: {{ object.pk }}</a></li>
    <li class="breadcrumb-item active"><a href="#">Equipos de Nodo</a></li>
  </ol>
  <!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Equipos de Nodo <small>{{ object.code }}</small></h1>
<!-- end page-header -->

  <ul class="nav nav-pills mb-2">
      <li class="nav-item">
        <a href="{% url 'node-detail' pk=object.pk %}"class="nav-link">
          <span class="d-sm-none">General</span>
          <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="#" class="nav-link active">
          <span class="d-sm-none">Equipos</span>
          <span class="d-sm-block d-none">Equipos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Galería</span>
          <span class="d-sm-block d-none">Galería</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-documents' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Documentos</span>
          <span class="d-sm-block d-none">Documentos</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-services' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Servicios</span>
          <span class="d-sm-block d-none">Servicios</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-location' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Ubicación</span>
          <span class="d-sm-block d-none">Ubicación</span>
        </a>
      </li>
      <li class="nav-item">
          <a href="{% url 'node-leases' pk=object.pk %}" class="nav-link">
            <span class="d-sm-none">DHCP leases</span>
            <span class="d-sm-block d-none">DHCP leases</span>
          </a>
        </li>
        {% if object.is_optical_fiber %}
        <li class="nav-item">
            <a href="#" class="nav-link">
              <span class="d-sm-none">Fibra Óptica</span>
              <span class="d-sm-block d-none">Fibra Óptica</span>
            </a>
          </li>
          {% endif %}
          <li class="nav-item">
              <a href="{% url 'node-activities' pk=object.pk %}" class="nav-link">
                <span class="d-sm-none">Actividades</span>
                <span class="d-sm-block d-none">Actividades</span>
              </a>
            </li>
            {% if not object.no_address_binding %}
            <li class="nav-item">
                <a href="#" class="nav-link">
                  <span class="d-sm-none">Asociar Dirección</span>
                  <span class="d-sm-block d-none">Asociar Dirección</span>
                </a>
              </li>
    
            {% endif %}
    </ul>
<!-- begin row -->
<div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">{% if object %}Detalle{% else %}Nuevo{% endif %} Nodo{% if object %} #{{ object.pk }}{% endif %}</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">

	  {% if object.gear_set.all.count %}
          <table id="gear-list" cellspacing="0" width="100%" class="table table-hover nowrap">
            <thead>
              <tr>
                <th>ID</th>
                <th>Tipo</th>
                <th>Descripción</th>
                <th>IP</th>
                <th>MAC</th>
                <th>VLAN</th>
              </tr>
            </thead>
            <tbody>
	      {% for gear in object.gear_set.all %}
	      <tr>
		<td><a href="{% url 'gear-detail' pk=gear.pk %}">{{ gear.pk }}</a></td>
		<td>{{ gear.kind }}</td>
		<td>{{ gear.truncated_description }}</td>
		<td><a href="{% url 'gear-detail' pk=gear.pk %}">{{ gear.ip }}</a></td>
		<td>{{ gear.mac }}</td>
		<td>{{ gear.vlan }}</td>
	      </tr>
	      {% endfor %}
            </tbody>
          </table>
	  {% else %}
	  <p class="text-center">No hay equipo asociado a este nodo.</p>
	  {% endif %}
        </div>
    <!-- end panel-body -->
  </div>
  <!-- end panel -->
</div>
<!-- end col-12 -->


</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->

{% endblock %}